Plamo Linux 日記

Plamo Linux に関係することだけではなく,最近は一般的なコンピュータやガジェット関係についても記載してます.

cakephp 3.5.0 を手元のデコードで試してみたけど相変わらずエラー

cakephp 3.5.0 がリリースされたみたいですね.

ということで,以前,3.5.0-RC2 でエラーになっていた手元のコードで再び試してみました.

結果から言うと,以前と同様に Cookie 周りでエラー.

$this->Cookie->delete();

の箇所で

Cannot use object of type Cake\Http\Cookie\Cookie as array

とエラーになる.

これまではずーっと普通に使えてたコードなんだけど,原因を追っかける時間が取れないのでちょっと放置.

ということでしばらくは 3.4.x 系を使い続けることになるかな.